Package org.apache.solr.client.solrj.impl

# Class CloudSolrClient.RouteException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.solr.common.SolrException
org.apache.solr.client.solrj.impl.CloudSolrClient.RouteException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CloudSolrClient`

public static class CloudSolrClient.RouteException extends SolrException

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.common.SolrException

`SolrException.ErrorCode`

## Field Summary

### Fields inherited from class org.apache.solr.common.SolrException

`details, metadata`

## Constructor Summary

Constructors
Constructor
Description
`RouteException(SolrException.ErrorCode errorCode, NamedList<Throwable> throwables, Map<String,? extends LBSolrClient.Req> routes)`

## Method Summary

Modifier and Type
Method
Description
`Map<String,? extends LBSolrClient.Req>`
`getRoutes()`
`NamedList<Throwable>`
`getThrowables()`

### Methods inherited from class org.apache.solr.common.SolrException

`code, getDetails, getMetadata, getMetadata, getResponseMessage, getRootCause, getRootThrowable, getThrowable, logDebugWithMdc, logInfoWithMdc, logWarnWithMdc, setDetails, setMetadata, setMetadata, wrapLuceneTragicExceptionIfNecessary`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RouteException

public RouteException(SolrException.ErrorCode errorCode, NamedList<Throwable> throwables, Map<String,? extends LBSolrClient.Req> routes)

## Method Details

### getThrowables

public NamedList<Throwable> getThrowables()

### getRoutes

public Map<String,? extends LBSolrClient.Req> getRoutes()